import Vue from "vue"
import Vuex from "vuex"

Vue.use(Vuex)

const store = new Vuex.Store({
	state:{
		isLogin: false,
		userInfo: null,
		token:"",
		appid:'1',
		// 电动车图标
		iconobj:{
			tabcion:'https://api.ccttiot.com/smartmeter/img/static/uIiSizdNVb65ATEXvxfT', //底部导航栏图标
			tabciongl:'https://api.ccttiot.com/smartmeter/img/static/uwQMnTgMLKGyZSMv0qD4', //底部导航栏高亮图标
			orderjinximg:'https://api.ccttiot.com/smartmeter/img/static/uUElBONAw1p5fHab85Fr',//车辆进行中详情图片
			tingcheimg:'https://api.ccttiot.com/smartmeter/img/static/uzRrRFiToK3bb3IurIHU', //车辆进行中停车点外图片
			mapimg:'https://lxnapi.ccttiot.com/bike/img/static/uqKmFMF9YHTX8lAQARSd',//地图中车辆进行中图片
			xiadanimg:'https://api.ccttiot.com/smartmeter/img/static/uK5bAmrXLEHVxbH6FcFD', //下单页车辆图片
			orderlistimg:'https://api.ccttiot.com/smartmeter/img/static/u6uVoMfLXtkWyF9gg2mY',//订单列表图片
			huancheimgone:'https://api.ccttiot.com/smartmeter/img/static/unL4myQWRXAKWCmKof4j',//还车审核第一张图片
			huancheimgtwo:'https://api.ccttiot.com/smartmeter/img/static/uDfEXjApmdS6ByM88pv3',//还车审核第二张图片
			bikertpic:'https://api.ccttiot.com/smartmeter/img/static/unoWsjJjeFKVrivp7MMF',
			bikertpicgl:'https://api.ccttiot.com/smartmeter/img/static/ukCjlSRsRoqMNNNxcFJ9',
			mappic:'https://api.ccttiot.com/smartmeter/img/static/uX0FBv86yDIR5tIqjoe2',
		},
		// 铲车图标
		// iconobj:{
		// 	tabcion:'https://api.ccttiot.com/smartmeter/img/static/uUqvCNs4QhCKghJ6syxe', //底部导航栏图标
		// 	tabciongl:'https://api.ccttiot.com/smartmeter/img/static/unRkKbBWOzEvYXulSmqm', //底部导航栏高亮图标
		// 	orderjinximg:'https://api.ccttiot.com/smartmeter/img/static/uCS3ReUuS4xL13GHJjdz',//车辆进行中详情图片
		// 	tingcheimg:'https://api.ccttiot.com/smartmeter/img/static/uhsy40maZgswSrM4uMia', //车辆进行中停车点外图片
		// 	mapimg:'https://api.ccttiot.com/smartmeter/img/static/ulQIFxv0xQPf5LY6goDs',//地图中车辆进行中图片
		// 	xiadanimg:'https://api.ccttiot.com/smartmeter/img/static/ulQIFxv0xQPf5LY6goDs', //下单页车辆图片
		// 	orderlistimg:'https://api.ccttiot.com/smartmeter/img/static/uK99lod2FY4ivycyokS7',//订单列表图片
		// 	huancheimgone:'https://api.ccttiot.com/smartmeter/img/static/uVsHtwoWIGve7IRkXRia',//还车审核第一张图片
		// 	huancheimgtwo:'https://api.ccttiot.com/smartmeter/img/static/uovfS9eWVVb6zU9mIESt',//还车审核第二张图片
		//  bikertpic:'https://api.ccttiot.com/smartmeter/img/static/uzwqHp9fFmjTkIJA4eDb',
		//  bikertpicgl:'https://api.ccttiot.com/smartmeter/img/static/uUVbGHELl2EUrTFaa3FW',
		//  mappic:'https://api.ccttiot.com/smartmeter/img/static/urQdA25KPzFFE266Qzxn', 
		// },
	},
	mutations:{
		login(state, provider) {
			console.log("登陆成功 缓存数据...",provider)
			state.isLogin = true;
			state.userInfo = provider;

			uni.setStorage({
				key: "userInfo",
				data: provider,
				success: (res) => {
					console.log("存储成功 key---->userInfo",provider)
				},
				fail: (res) => {1
					console.log("存储失败 key ---- userInfo", res)
				}
			})
			uni.setStorage({
				key: "token",
				data: provider.accessToken,
				success: (res) => {
					console.log("存储成功 key---->token",provider.accessToken)
				}
			})
			console.log("看看存到本地去没有",uni.getStorageSync('userInfo'))
		},
		loginOut(state) {
			console.log("退出登录成功，清除缓存...")
			state.isLogin = false;
			state.userInfo = {};
			uni.removeStorage({ 
				key: "userInfo"
			})
			uni.removeStorage({
				key: "token"
			}) 
			uni.redirectTo({
				url:"../login/login",
				success: (res) => {
					
				}
			})
		}
	}

})

export default store